%define upstream_name    Pod-Coverage-TrustPod
%define upstream_version 0.100003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Allow a module's pod to contain Pod::Coverage hints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Pod::Coverage::CountParents)
BuildRequires: perl(Pod::Eventual::Simple)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a Pod::Coverage subclass (actually, a subclass of
Pod::Coverage::CountParents) that allows the POD itself to declare certain
symbol names trusted.

Here is a sample Perl module:

    package Foo::Bar;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.3-6.mga6
+ Revision: 1032272
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.100.3-5.mga6
+ Revision: 940846
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.3-4.mga5
+ Revision: 746225
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.3-3.mga5
+ Revision: 733266
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.3-2.mga5
+ Revision: 685997
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.100.3-1.mga5
+ Revision: 585571
- update to 0.100003

* Fri Oct 18 2013 umeabot <umeabot> 0.100.2-3.mga4
+ Revision: 514172
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.2-2.mga3
+ Revision: 371903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.100.2-1.mga3
+ Revision: 255350
- update to 0.100002

* Fri Jul 08 2011 jquelin <jquelin> 0.100.1-1.mga2
+ Revision: 120465
- update to 0.100001

* Mon Apr 11 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 83373
- update to 0.100000

* Fri Jan 21 2011 jquelin <jquelin> 0.92.832-1.mga1
+ Revision: 29720
- mageia rebuild
- imported package perl-Pod-Coverage-TrustPod

